package com.sinosig.mybatis.module.po;

import com.sinosig.core.repository.po.SJZD;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[SJZD] 对象
 */
@TableName(value = "T_SJZD",resultMap = "T_SJZDResultMap")
public class T_SJZDImpl implements SJZD,Serializable {

    private Timestamp UpdateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateDateDirtyFlag;

    private String UpdateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateManDirtyFlag;

    private String SJZDName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SJZDNameDirtyFlag;

    /**
     * 数据字典标识
     */        
    @TableId(value= "sjzdid",type=IdType.UUID)//指定主键生成策略
    private String SJZDId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SJZDIdDirtyFlag;

    private String Bh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean BhDirtyFlag;

    private String CreateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateManDirtyFlag;

    private Timestamp CreateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateDateDirtyFlag;

    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }
    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }
    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [数据字典名称]
     */
    public String getSJZDName(){
        return SJZDName ;
    }

    /**
     * 设置 [数据字典名称]
     */
    public void setSJZDName(String  sJZDName){
        this.SJZDName = sJZDName ;
        this.SJZDNameDirtyFlag = true ;
    }
    /**
     * 获取 [数据字典名称]脏标记
     */
    @JsonIgnore
    public boolean getSJZDNameDirtyFlag(){
        return SJZDNameDirtyFlag ;
    }

    /**
     * 获取 [数据字典标识]
     */
    public String getSJZDId(){
        return SJZDId ;
    }

    /**
     * 设置 [数据字典标识]
     */
    public void setSJZDId(String  sJZDId){
        this.SJZDId = sJZDId ;
        this.SJZDIdDirtyFlag = true ;
    }
    /**
     * 获取 [数据字典标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDIdDirtyFlag(){
        return SJZDIdDirtyFlag ;
    }

    /**
     * 获取 [编号]
     */
    public String getBh(){
        return Bh ;
    }

    /**
     * 设置 [编号]
     */
    public void setBh(String  bh){
        this.Bh = bh ;
        this.BhDirtyFlag = true ;
    }
    /**
     * 获取 [编号]脏标记
     */
    @JsonIgnore
    public boolean getBhDirtyFlag(){
        return BhDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }
    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }
    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

}